%define	upstream_name	 Crypt-SSLeay
%define upstream_version 0.72

# Disable network tests by default
%bcond_with perl_Crypt_SSLeay_enables_network_test

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    Support for the https protocol under LWP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz
# Adapt to OpenSSL 1.1.0, bug #1383756, CPAN RT#118343
Patch0:     Crypt-SSLeay-0.72-Do-not-use-SSLv2_client_method-with-OpenSSL-1.1.0.patch
Patch1:     Crypt-SSLeay-0.72-Fix-building-on-Perl-without-dot-in-INC.patch
Patch10:        https://rt.cpan.org/Ticket/Attachment/1895646/1016322/Use_TLS_client_method-with-OpenSSL-1.1.1.patch

BuildRequires: perl(ExtUtils::CBuilder) >= 0.280.205
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Protocol::https) >= 6.20.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(Test::More) >= 0.190.0
BuildRequires: perl(Try::Tiny) >= 0.190.0
BuildRequires: pkgconfig(openssl)
BuildRequires: perl-devel
BuildRequires: perl(URI)

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)
%{?perl_default_filter}

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
#patch0 -p1
%patch10 -p0
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor \
    --%{!?with_perl_Crypt_SSLeay_enables_network_test:no-}live-tests \
    </dev/null
%make_build

%install
%make_install

%check
%make_build test

%files
%doc Changes META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.720.0-24.mga10
+ Revision: 2089302
- Rebuild for perl-5.40

* Thu Nov 30 2023 tv <tv> 0.720.0-23.mga10
+ Revision: 2011563
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.720.0-22.mga9
+ Revision: 1861693
- Rebuild for Perl 5.36

* Fri Mar 18 2022 tv <tv> 0.720.0-21.mga9
+ Revision: 1798204
- Fix FTBFS because SSLv3 is not available in our OpenSSL 3:
  stops using SSLv3_client_method(). Use TLS_client_method method instead
- Actually use patch 1 & drop PERL_USE_UNSAFE_INC=1 workaround
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Mon May 24 2021 tmb <tmb> 0.720.0-19.mga9
+ Revision: 1726285
- rebuild for rebuild for perl-5.34.0

* Wed Jun 17 2020 umeabot <umeabot> 0.720.0-18.mga8
+ Revision: 1594386
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.720.0-17.mga8
+ Revision: 1529267
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 0.720.0-16.mga8
+ Revision: 1433252
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.720.0-15.mga7
+ Revision: 1292616
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.720.0-14.mga7
+ Revision: 1247527
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.720.0-13.mga7
+ Revision: 1163728
- rebuild with fixed rpm for missing autodeps

* Mon Sep 04 2017 guillomovitch <guillomovitch> 0.720.0-12.mga7
+ Revision: 1151120
- fix build with openssl 1.1

* Sun Jul 23 2017 neoclust <neoclust> 0.720.0-11.mga7
+ Revision: 1129288
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.720.0-10.mga6
+ Revision: 1024670
- Rebuild for perl 5.22.2

* Thu Mar 03 2016 umeabot <umeabot> 0.720.0-9.mga6
+ Revision: 983889
- Rebuild for openssl

* Fri Feb 12 2016 umeabot <umeabot> 0.720.0-8.mga6
+ Revision: 957008
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.720.0-7.mga6
+ Revision: 844761
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.720.0-6.mga6
+ Revision: 841124
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.720.0-5.mga5
+ Revision: 738877
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.720.0-4.mga5
+ Revision: 733004
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.720.0-3.mga5
+ Revision: 684067
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.720.0-2.mga5
+ Revision: 630970
- Rebuild for perl 5.20

* Tue May 06 2014 jquelin <jquelin> 0.720.0-1.mga5
+ Revision: 620488
- update to 0.72

* Sat Oct 19 2013 umeabot <umeabot> 0.640.0-4.mga4
+ Revision: 524098
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.640.0-3.mga4
+ Revision: 429986
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.640.0-2.mga3
+ Revision: 364969
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- remove patch no more needed

* Wed Sep 26 2012 jquelin <jquelin> 0.640.0-1.mga3
+ Revision: 298223
- update to 0.64

* Wed May 30 2012 jquelin <jquelin> 0.580.0-8.mga3
+ Revision: 250427
- rebuild for perl 5.16

* Sat Apr 21 2012 tv <tv> 0.580.0-7.mga2
+ Revision: 232230
- no need to require perl

* Sat Jun 11 2011 sander85 <sander85> 0.580.0-6.mga2
+ Revision: 103885
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.580.0-5.mga1
+ Revision: 30018
- mageia rebuild
- imported package perl-Crypt-SSLeay

